// Settings
//
// Weight: -1
//
// Styleguide settings


// Colors
//
// The website colors https://coolors.co/
//
// Colors:
// $brand-color-primary: #F95C0E - Orange
// $brand-color-secondary: #000000 -
//
// Styleguide settings.colors
$brand-color-primary: #F95C0E ;
$brand-color-secondary: #000000;
$brand-color-tertiary: orange;

// ------------------------------------------------*/
// Base
// ------------------------------------------------*/
$sans-serif: $font-stack-system;
$serif: $font-stack-georgia;

// Typography
// To set your em-base & base-line-height you can use :
// Golden ratio calculator <http://www.pearsonified.com/typography/>


// Set base
// $em-base: 14px;
$base-line-height: 1.5rem;
$base-font-family: $sans-serif;
$base-font: "Raleway", 400, normal, $sans-serif,webfont;
//$base-font: ($base-font-family,$base-font-weight,$base-font-style,$base-font-fallback);
$base-font-size: 1rem;

$base-background-color: $black;
$base-font-color: $white;

$body-background: $white;
$body-color: $black;

$heading-font-family: "Open Sans", $sans-serif;
$heading-font: "Open Sans", 800, normal, $sans-serif, webfont;
$heading-line-height: 1.2;

// Other Sizes
$base-border-radius: 0;
$base-spacing: $base-line-height;
$small-spacing: $base-spacing / 2;
$base-z-index: 0;

// Action Colors : _base a links
$action-color: #13a1ff;

// Borders
$base-border-color: $light-gray;
$base-border: 1px solid $base-border-color;

// Forms
$form-box-shadow: '';
$form-box-shadow-focus: '';


// ------------------------------------------------*/
// LAYOUT & GRID
// Neat variables : http://thoughtbot.github.io/neat-docs/latest/#variable
// ------------------------------------------------*/

$max-width: 1050px;

// ------------------------------------------------*/
// Set the grid :
// http://gridulator.com/
// http://grid.guide/
// ------------------------------------------------*/

$susy: (
  flow: ltr, // ltr | rtl
  output: float, // float | isolate
  math: fluid, // fluid | static (requires column-width)
  column-width: false, // false | value
  container: 1050px, // length or % | auto
  container-position: center, // left | center | right | <length> [*2] (grid padding)
  last-flow: to,
  columns: 8,
  gutters: .25,
  gutter-position: after, // before | after | split | inside | inside-static (requires column-width)
  global-box-sizing: $global-box-sizing, // content-box | border-box (affects inside/inside-static)
  debug: (
    image: hide,
    color: rgba(#66f, .25),
    output: overlay, // background | overlay
    toggle: bottom right,
  ),
  use-custom: (
    background-image: true, // look for background-image mixin
    background-options: false, // look for background-size, -origin and -clip and other compass/bourbon mixins
    box-sizing: true, // look for custom bix sizing mixin
    clearfix: false, // true = look for internal clearfix before using micro clearfix
    rem: false, // look for rem mixin
  )
);

$large_layout: (
  columns: 8,
  gutters: 1/4,
  gutter-position: after,
  global-box-sizing: border-box,
);
// ------------------------------------------------*/
// Breakpoints
// http://include-media.com/
// ------------------------------------------------*/
// http://include-media.com/
// http://thesassway.com/intermediate/responsive-web-design-in-sass-using-media-queries-in-sass-32
// https://css-tricks.com/approaches-media-queries-sass/

$breakpoints: (
  'phone': 430px,
  'tablet': 768px,
  'desktop': 1024px
);

// ------------------------------------------------*/
// Debug
// ------------------------------------------------*/
$visual-grid: false;
$show-baseline: false;
$show-layout: false;
$show-w3c: false;
$sass-debug: false; // A utiliser pour tester une variable, map ou résultat

// ------------------------------------------------*/
// Icons
// ------------------------------------------------*/
